/*


    ========== licence begin LGPL
    Copyright (C) 2002 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end


*/

package com.sap.dbtech.jdbc.translators;

import java.io.*;
import java.sql.*;
import com.sap.dbtech.jdbc.ConnectionSapDB;
import com.sap.dbtech.jdbc.exceptions.NotImplemented;
import com.sap.dbtech.util.*;
import com.sap.dbtech.vsp00.*;
import com.sap.dbtech.vsp001.*;

/**
 *
 */
public class GetvalUnicodeClob
    extends GetvalUnicode
    implements java.sql.Clob, Blob
{
    /**
     * creates a new GetvalUnicodeClob
     */
    public
    GetvalUnicodeClob (
        ConnectionSapDB connection,
        byte [] descriptor,
        StructuredMem dataPart)
    {
        super (connection, descriptor, dataPart);
    }
    public String getSubString (long from, int to)
         throws SQLException
    {
        throw new NotImplemented (
            MessageTranslator.translate(MessageKey.ERROR_GETSUBSTRING_NOTIMPLEMENTED)
        );
    }
    public long position(byte [] pattern, long start)
        throws SQLException
    {
        throw new NotImplemented (
            MessageTranslator.translate(MessageKey.ERROR_POSITION_NOTIMPLEMENTED)
        );       
    }
    
    public long position(String pattern, long start)
        throws SQLException
    {
        throw new NotImplemented (
            MessageTranslator.translate(MessageKey.ERROR_POSITION_NOTIMPLEMENTED)
        );       
    }
    public long position(java.sql.Clob lob, long start)
        throws SQLException
    {
        throw new NotImplemented (
            MessageTranslator.translate(MessageKey.ERROR_POSITION_NOTIMPLEMENTED)
        );       
    }
    public long position(java.sql.Blob lob, long start)
        throws SQLException
    {
        throw new NotImplemented (
            MessageTranslator.translate(MessageKey.ERROR_POSITION_NOTIMPLEMENTED)
        );       
    }
    
    
    public byte[] getBytes(long pos, int length) throws SQLException {
        /**@todo: Implement this java.sql.Blob method*/
        throw new java.lang.UnsupportedOperationException(
            MessageTranslator.translate(MessageKey.ERROR_GETBYTES_NOTIMPLEMENTED)
        );
    }

    public int setBytes(long pos, byte[] bytes) throws SQLException {
        /**@todo: Implement this java.sql.Blob method*/
        throw new java.lang.UnsupportedOperationException(
            MessageTranslator.translate(MessageKey.ERROR_SETBYTES_NOTIMPLEMENTED)
        );
    }
    
    public int setBytes(long pos, byte[] bytes, int offset, int len) throws SQLException {
        /**@todo: Implement this java.sql.Blob method*/
        throw new java.lang.UnsupportedOperationException(
            MessageTranslator.translate(MessageKey.ERROR_SETBYTES_NOTIMPLEMENTED)
        );    
    }
    
    public OutputStream setBinaryStream(long pos) throws SQLException {
        /**@todo: Implement this java.sql.Blob method*/
        throw new java.lang.UnsupportedOperationException(
            MessageTranslator.translate(MessageKey.ERROR_SETBINARYSTREAM_NOTIMPLEMENTED)
        );
    }
    
    public void truncate(long len) throws SQLException {
        /**@todo: Implement this java.sql.Blob method*/
        throw new java.lang.UnsupportedOperationException(
            MessageTranslator.translate(MessageKey.ERROR_TRUNCATE_NOTIMPLEMENTED)
        );
    }
    
    public int setString(long pos, String str) throws SQLException {
        /**@todo: Implement this java.sql.Clob method*/
        throw new java.lang.UnsupportedOperationException(
            MessageTranslator.translate(MessageKey.ERROR_SETSTRING_NOTIMPLEMENTED)
        );
    }
    
    public int setString(long pos, String str, int offset, int len) throws SQLException {
        /**@todo: Implement this java.sql.Clob method*/
        throw new java.lang.UnsupportedOperationException(
            MessageTranslator.translate(MessageKey.ERROR_SETSTRING_NOTIMPLEMENTED)
        );
    }
    
    public OutputStream setAsciiStream(long pos) throws SQLException {
        /**@todo: Implement this java.sql.Clob method*/
        throw new java.lang.UnsupportedOperationException(
            MessageTranslator.translate(MessageKey.ERROR_SETASCIISTREAM_NOTIMPLEMENTED)
        );
    }
    
    public Writer setCharacterStream(long pos) throws SQLException {
        /**@todo: Implement this java.sql.Clob method*/
        throw new java.lang.UnsupportedOperationException(
            MessageTranslator.translate(MessageKey.ERROR_SETCHARACTERSTREAM_NOTIMPLEMENTED)
        );
    }
}
