/*


    ========== licence begin LGPL
    Copyright (C) 2002 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end


*/

package com.sap.dbtech.jdbc.translators;

import com.sap.dbtech.jdbc.packet.DataPart;
import com.sap.dbtech.util.*;
import java.sql.Timestamp;
/**
 * Title:        SAP DB JDBC Driver 2.0
 * Description:  Implementation of a JDBC Driver for SAP DB
 * Copyright:    Copyright (c) 2001
 * Company:      SAP AG
 * @author
 * @version 1.0
 */

public class UnicodeTimestampTranslator extends TimestampTranslator {

  public UnicodeTimestampTranslator(
        int mode,
        int ioType,
        int dataType,
        int len,
        int ioLen,
        int bufpos)
    {
        super (mode, ioType, dataType, len, ioLen, bufpos);

    }
    /**
     *
     * @param dataPart com.sap.dbtech.jdbc.packet.DataPart
     * @param data java.lang.Object
     */
    protected void putSpecific (
        DataPart dataPart,
        Object data)
    {
        dataPart.putInt1 ((byte) 1, this.bufpos - 1);
        dataPart.putUnicodeBytes ((byte []) data, this.bufpos, this.physicalLength - 1);
    }
        /**
     *
     * @param newValue java.lang.String
     */
    public Object transTimestampForInput (Timestamp arg)
    throws java.sql.SQLException
    {
        if (arg == null) {
            return null;
        }
        char [] chars = ((String) super.transTimestampForInput(arg)).toCharArray();
        byte [] bytes = UnicodeUtil.char2BigUnicode (chars);
        this.checkFieldLimits (bytes.length);
        return bytes;
    }
}